Skip to main content
GET
/
audits
/
{auditId}
/
framework-codes
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";

const vanta = new Vanta({
  bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});

async function run() {
  const result = await vanta.audits.getFrameworkCodes({
    auditId: "<id>",
  });

  console.log(result);
}

run();
{
  "frameworkCodes": [
    "CC1.1",
    "CC1.2",
    "CC1.3",
    "CC2.1",
    "CC2.2",
    "CC3.1",
    "CC3.2",
    "CC4.1",
    "CC4.2",
    "CC5.1",
    "CC5.2",
    "CC6.1",
    "CC6.2",
    "CC7.1",
    "CC7.2",
    "CC8.1",
    "CC8.2"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

auditId
string
required

Response

200 - application/json

Ok

Framework codes response resource

frameworkCodes
string[]
required

Array of valid framework codes for the audit's framework (e.g., "CC6.1", "CC6.2"). These represent the different framework sections available for creating information requests.